Subject: bug#30459: closed (Re: [bug#30459] [PATCH 06/11] services: certbot: Get certbot to run non-interactively.)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 03 Mar 2018 21:54:02 +0000

Your bug report

#30459: Certbot service patches

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
30459: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=30459
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#30459] [PATCH 06/11] services: certbot: Get certbot to run non-interactively.
From: [email-masked] (Ludovic Courtès)
To: Clément Lassieur <[email-masked]>
Cc: Marius Bakke <[email-masked]>, [email-masked]
Date: Sat, 03 Mar 2018 22:52:57 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Clément Lassieur <[email-masked]> skribis:

> I pushed the series as is in the master branch, because it changes the
> API and it's better that the potential users use the new API as soon as
> possible.  (And it works anyway.)  I'll add a patch implementing the
> certbot-activation as a Shepherd service.

Awesome.

Remember to close the bug by emailing [email-masked] as I’m
doing here.  :-)

Ludo’.

Subject: Certbot service patches
From: Clément Lassieur <[email-masked]>
To: [email-masked]
Cc: Andy Wingo <[email-masked]>, Christopher Allan Webber <[email-masked]>
Date: Wed, 14 Feb 2018 22:33:19 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Here are a few patches that aim to improve the Certbot service.

One problem I have is that reconfiguring takes a bit too much time if
there are many certificates.  I wonder if there is a way to avoid
running 'certbot-activation' when the configuration didn't change.

Also, I had not reproducible networking issues while updating the
certificates, but they may be related to my deploy hooks and have
nothing to do with the service.

Comments welcome :-)

Clément